/*
 * $Id: vcm.h,v 1.10 2001/05/14 18:04:42 lindahl Exp $
 * 
 *                This source code is part of
 * 
 *                 G   R   O   M   A   C   S
 * 
 *          GROningen MAchine for Chemical Simulations
 * 
 *                        VERSION 3.0
 * 
 * Copyright (c) 1991-2001
 * BIOSON Research Institute, Dept. of Biophysical Chemistry
 * University of Groningen, The Netherlands
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * If you want to redistribute modifications, please consider that
 * scientific software is very special. Version control is crucial -
 * bugs must be traceable. We will be happy to consider code for
 * inclusion in the official distribution, but derived work must not
 * be called official GROMACS. Details are found in the README & COPYING
 * files - if they are missing, get the official version at www.gromacs.org.
 * 
 * To help us fund GROMACS development, we humbly ask that you cite
 * the papers on the package - you can find them in the top README file.
 * 
 * Do check out http://www.gromacs.org , or mail us at gromacs@gromacs.org .
 * 
 * And Hey:
 * Good ROcking Metal Altar for Chronical Sinners
 */

#ifndef _vcm_h
#define _vcm_h

static char *SRCID_vcm_h = "$Id: vcm.h,v 1.10 2001/05/14 18:04:42 lindahl Exp $";
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#ifdef HAVE_IDENT
#ident	"@(#) vcm.h 1.9 9/29/97"
#endif /* HAVE_IDENT */
#include "sysstuff.h"
#include "typedefs.h"

typedef struct {
  int  nr;
  rvec *group_mvcm;
  real *group_mass;
  char **group_name;         /* These two are copies to pointers in */
  unsigned short *group_id;  /* other structures.                   */
} t_vcm;

t_vcm *init_vcm(FILE *fp,t_topology *top,t_mdatoms *md,
		int start,int homenr,int nstcomm);

extern void calc_vcm(FILE *log,int homenr,int start,
		     real mass[],rvec v[],rvec vcm);

extern void do_stopcm(FILE *log,int homenr,int start,
		      rvec v[],rvec mvcm,real tm,real invmass[]);

extern void check_cm(FILE *log,rvec mvcm,real tm);

/* remove global rotation of system by fitting to structure of nstcomm
   steps ago */
extern void do_stoprot(FILE *log, int natoms, rvec box, rvec x[], 
		       real mass[]);

/* Do a per group center of mass things */
extern void calc_vcm_grp(FILE *log,int homenr,int start,real mass[],rvec v[],
			 t_vcm *vcm);

extern void do_stopcm_grp(FILE *log,int homenr,int start,rvec v[],
			  t_vcm *vcm,real invmass[]);

extern void check_cm_grp(FILE *log,t_vcm *vcm);
			 
#endif /* _vcm_h */
