/*
 * $Id: nload.h,v 1.7 2001/05/14 18:04:45 lindahl Exp $
 * 
 *                This source code is part of
 * 
 *                 G   R   O   M   A   C   S
 * 
 *          GROningen MAchine for Chemical Simulations
 * 
 *                        VERSION 3.0
 * 
 * Copyright (c) 1991-2001
 * BIOSON Research Institute, Dept. of Biophysical Chemistry
 * University of Groningen, The Netherlands
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * If you want to redistribute modifications, please consider that
 * scientific software is very special. Version control is crucial -
 * bugs must be traceable. We will be happy to consider code for
 * inclusion in the official distribution, but derived work must not
 * be called official GROMACS. Details are found in the README & COPYING
 * files - if they are missing, get the official version at www.gromacs.org.
 * 
 * To help us fund GROMACS development, we humbly ask that you cite
 * the papers on the package - you can find them in the top README file.
 * 
 * Do check out http://www.gromacs.org , or mail us at gromacs@gromacs.org .
 * 
 * And Hey:
 * Good gRace! Old Maple Actually Chews Slate
 */

#ifndef _nload_h
#define _nload_h

static char *SRCID_nload_h = "$Id: nload.h,v 1.7 2001/05/14 18:04:45 lindahl Exp $";
#ifdef HAVE_IDENT
#ident	"@(#) nload.h 1.19 9/30/97"
#endif /* HAVE_IDENT */
#include "x11.h"
#include "xutil.h"

typedef struct {
  t_windata wd;
  int       nnodes;
  int       *load;
} t_loadwin;

extern t_loadwin *init_lw(t_x11 *x11,Window Parent,
			    int x,int y,int width,int height,
			    unsigned long fg,unsigned long bg);

extern void map_lw(t_x11 *x11,t_loadwin *lw);

extern void set_load(t_x11 *x11,t_loadwin *lw,int nnodes,int load[]);

extern void done_lw(t_x11 *x11,t_loadwin *lw);

#endif	/* _nload_h */
